function init()
	-- TEXT --
	c.name = "Sparkplug"
	c.class = "gun"	--adds onto guns
	c.desc = "Grants all attached weapons +50% shot speed."

	-- SHAPE & PREREQUISITES --
	c.setTile(1,0)
	c.setAddon(0,0)
	c.setAddon(2,0)
	--c.setAddon(1,2)
	--c.setAddon(2,1)
	
	-- STATS & GUNS --
	c.bonus.shotspeed = .50
	c.addon = 1
	
	c.playable = 1	--can this component be found by the player?
	c.unlockable = 0	--does this component need to be unlocked?
	c.cost = 250
	
	return 0
end